Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-18352

hpi:run does not work on a bundled plugin

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Retroactively filing so as to be considered for backport.

      mvn -f subversion-plugin/pom.xml hpi:run does not work: you will not get the version under development, but rather 1.26. (Via jenkins-test-harness; not even the 1.34 bundled in Jenkins 1.466 WAR!) The console shows:

      ... hudson.PluginManager$1$3$1 isDuplicate
      INFO: Ignoring .../subversion-plugin/./work/plugins/subversion.hpl because .../subversion-plugin/./work/plugins/subversion.jpi is already loaded
      

      If you change the parent POM to 1.513, it works, because this regression (from https://github.com/jenkinsci/jenkins/commit/32d5c23 in 1.448) was fixed in https://github.com/jenkinsci/jenkins/commit/7547681a24fadab2a909729413b9f16da90b2d16 in 1.512 then https://github.com/jenkinsci/jenkins/commit/5aa4af75c2c4c66541f1fd24ef82c5d46a79940d in 1.513.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            jglick Jesse Glick
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: